- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QEasingCurve Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qeasingcurve.h.

`#include <qeasingcurve.h>`

List of all members.

## Public Types
enum | Type { Linear, InQuad, OutQuad, InOutQuad, OutInQuad, InCubic, OutCubic, InOutCubic, OutInCubic, InQuart, OutQuart, InOutQuart, OutInQuart, InQuint, OutQuint, InOutQuint, OutInQuint, InSine, OutSine, InOutSine, OutInSine, InExpo, OutExpo, InOutExpo, OutInExpo, InCirc, OutCirc, InOutCirc, OutInCirc, InElastic, OutElastic, InOutElastic, OutInElastic, InBack, OutBack, InOutBack, OutInBack, InBounce, OutBounce, InOutBounce, OutInBounce, InCurve, OutCurve, SineCurve, CosineCurve, Custom, NCurveTypes }
typedef qreal(* | EasingFunction )(qreal progress)
## Public Member Functions
| QEasingCurve (Type type=Linear)
| QEasingCurve (const QEasingCurve &other)
| ~QEasingCurve ()
QEasingCurve & | operator= (const QEasingCurve &other)
bool | operator== (const QEasingCurve &other) const
bool | operator!= (const QEasingCurve &other) const
qreal | amplitude () const
void | setAmplitude (qreal amplitude)
qreal | period () const
void | setPeriod (qreal period)
qreal | overshoot () const
void | setOvershoot (qreal overshoot)
Type | type () const
void | setType (Type type)
void | setCustomType (EasingFunction func)
EasingFunction | customType () const
qreal | valueForProgress (qreal progress) const
## Friends
Q_CORE_EXPORT QDebug | operator<< (QDebug debug, const QEasingCurve &item)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QEasingCurve &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QEasingCurve &)

## Member Typedef Documentation

typedef qreal(* EasingFunction)(qreal progress)

Search for all occurrences

Definition at line 96 of file qeasingcurve.h.

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  Linear | Search for all occurrences
  InQuad | Search for all occurrences
  OutQuad | Search for all occurrences
  InOutQuad | Search for all occurrences
  OutInQuad | Search for all occurrences
  InCubic | Search for all occurrences
  OutCubic | Search for all occurrences
  InOutCubic | Search for all occurrences
  OutInCubic | Search for all occurrences
  InQuart | Search for all occurrences
  OutQuart | Search for all occurrences
  InOutQuart | Search for all occurrences
  OutInQuart | Search for all occurrences
  InQuint | Search for all occurrences
  OutQuint | Search for all occurrences
  InOutQuint | Search for all occurrences
  OutInQuint | Search for all occurrences
  InSine | Search for all occurrences
  OutSine | Search for all occurrences
  InOutSine | Search for all occurrences
  OutInSine | Search for all occurrences
  InExpo | Search for all occurrences
  OutExpo | Search for all occurrences
  InOutExpo | Search for all occurrences
  OutInExpo | Search for all occurrences
  InCirc | Search for all occurrences
  OutCirc | Search for all occurrences
  InOutCirc | Search for all occurrences
  OutInCirc | Search for all occurrences
  InElastic | Search for all occurrences
  OutElastic | Search for all occurrences
  InOutElastic | Search for all occurrences
  OutInElastic | Search for all occurrences
  InBack | Search for all occurrences
  OutBack | Search for all occurrences
  InOutBack | Search for all occurrences
  OutInBack | Search for all occurrences
  InBounce | Search for all occurrences
  OutBounce | Search for all occurrences
  InOutBounce | Search for all occurrences
  OutInBounce | Search for all occurrences
  InCurve | Search for all occurrences
  OutCurve | Search for all occurrences
  SineCurve | Search for all occurrences
  CosineCurve | Search for all occurrences
  Custom | Search for all occurrences
  NCurveTypes | Search for all occurrences

Definition at line 60 of file qeasingcurve.h.

                  {
            Linear,
            InQuad, OutQuad, InOutQuad, OutInQuad,
            InCubic, OutCubic, InOutCubic, OutInCubic,
            InQuart, OutQuart, InOutQuart, OutInQuart,
            InQuint, OutQuint, InOutQuint, OutInQuint,
            InSine, OutSine, InOutSine, OutInSine,
            InExpo, OutExpo, InOutExpo, OutInExpo,
            InCirc, OutCirc, InOutCirc, OutInCirc,
            InElastic, OutElastic, InOutElastic, OutInElastic,
            InBack, OutBack, InOutBack, OutInBack,
            InBounce, OutBounce, InOutBounce, OutInBounce,
            InCurve, OutCurve, SineCurve, CosineCurve,
            Custom, NCurveTypes
        };

## Constructor & Destructor Documentation

QEasingCurve | ( | Type | type = `Linear` | ) |

QEasingCurve | ( | const QEasingCurve & | other | ) |

~QEasingCurve | ( |  | ) |

## Member Function Documentation

QEasingCurve& operator= | ( | const QEasingCurve & | other | ) |

bool operator== | ( | const QEasingCurve & | other | ) | const

bool operator!= | ( | const QEasingCurve & | other | ) | const `[inline]`

Definition at line 82 of file qeasingcurve.h.

        { return !(this->operator==(other)); }

qreal amplitude | ( |  | ) | const

Search for all occurrences

void setAmplitude | ( | qreal | amplitude | ) |

Search for all occurrences

qreal period | ( |  | ) | const

Search for all occurrences

void setPeriod | ( | qreal | period | ) |

Search for all occurrences

qreal overshoot | ( |  | ) | const

Search for all occurrences

void setOvershoot | ( | qreal | overshoot | ) |

Search for all occurrences

Type type | ( |  | ) | const

Search for all occurrences

void setType | ( | Type | type | ) |

Search for all occurrences

void setCustomType | ( | EasingFunction | func | ) |

Search for all occurrences

EasingFunction customType | ( |  | ) | const

Search for all occurrences

qreal valueForProgress | ( | qreal | progress | ) | const

Search for all occurrences

## Friends And Related Function Documentation

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | const QEasingCurve & | item
| ) |  | `[friend]`

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QEasingCurve & |
| ) |  | `[friend]`

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QEasingCurve & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtCore/qeasingcurve.h

QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve
QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve QEasingCurve